[install]
service=remove,$serviceName$
section=removeOldAgentService.$osSymbol$
section=removeOldAgentBinaries.$osSymbol$
section=removeOldAgentResources
section=removeOldAgentLogs
section=copyOldAgentConfig
section=removeResources
section=removeResources.$osSymbol$
section=removeBinaries.$osSymbol$
section=install.$osSymbol$.$osVerMajor$.$osVerMinor$
section=installFiles.$osSymbol$
section=installResources
section=addFirewallExceptions.$osSymbol$
section=setupConfigFile
section=setupConfigFile.$osSymbol$
section=installKeys.$osSymbol$
section=installService.$osSymbol$
service=start,$serviceName$

[installService.win]
service=install,$serviceName$,$product$,$mfg$,$pathTargetBinRoot$/$execName$$binExt$

[installService.lin]
service=install,$serviceName$,$product$,$mfg$,/etc/$serviceName$/$serviceName$

[installService.mac]
service=install,$serviceName$,$product$,$mfg$,$pathTargetBinRoot$/$execName$

[remove]
service=remove,$serviceName$
section=stopProcess.$osSymbol$
section=removeResources
section=removeResources.$osSymbol$
section=removeBinaries.$osSymbol$
section=removeFirewallExceptions.$osSymbol$
section=purge
section=purge.$osSymbol$
section=removeKeys.$osSymbol$

[installFiles.win]
section=installDotNet.$exch$.$dotnet40$
file=copy,AgentInstaller.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,AgentManager51.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,AgentManager52.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,AgentManager60.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Backup.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,BackupService.exe,$pathBinRoot$,$pathTargetBinRoot$
file=copy,BackupService.exe.config,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Brt.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,BrtInstall.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,DrManager.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Gin.exe,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Gui.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,icudt53.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,icuin53.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,icuuc53.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Managed.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,msvcp120$dbgcrt$.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,msvcr120$dbgcrt$.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Qt5Core$dbgcrt$.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Qt5Gui$dbgcrt$.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,Qt5Widgets$dbgcrt$.dll,$pathBinRoot$,$pathTargetBinRoot$
file=copy,qwindows$dbgcrt$.dll,$pathBinRoot$\platforms,$pathTargetBinRoot$\platforms
file=copy,Setup.exe,$pathAppRoot$,$pathTargetAppRoot$
file=copy,msvcr120$dbgcrt$.dll,$pathAppRoot$,$pathTargetAppRoot$
file=copy,msvcp120$dbgcrt$.dll,$pathAppRoot$,$pathTargetAppRoot$
file=copy,ca.crt,$pathBinRoot$,$pathTargetBinRoot$

[installResources]
file=copy,check.png,$pathResource$,$pathTargetResource$
file=copy,install.png,$pathResource$,$pathTargetResource$
file=copy,next.png,$pathResource$,$pathTargetResource$
file=copy,license_eng.htm,$pathResource$,$pathTargetResource$

[installFiles.lin]
file=copy,UiConsole,$pathBinRoot$,$pathTargetBinRoot$
file=copy,BackupService,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBrt.so,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libgcc_s.so.1,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libstdc++.so.6,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libm.so.6,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libAgentManager.so,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBackup.so,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBrtInstall.so,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libAgentInstaller.so,$pathBinRoot$,$pathTargetBinRoot$
directory=create,$pathTargetLog$
directory=create,$pathTargetDatabase$
directory=create,/etc/$serviceName$
symlink=create,$pathTargetBinRoot$/$execName$$binExt$,/etc/$serviceName$/$serviceName$
file=copy,ca.crt,$pathBinRoot$,$pathTargetBinRoot$

[installFiles.mac]
file=copy,Gin,$pathBinRoot$,$pathTargetBinRoot$
file=copy,BackupService,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBrt.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libAgentManager.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBackup.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libBrtInstall.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libAgentInstaller.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libGui.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Core$libdbgsuffix$.5.4.0.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Core$libdbgsuffix$.5.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Gui$libdbgsuffix$.5.4.0.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Gui$libdbgsuffix$.5.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Widgets$libdbgsuffix$.5.4.0.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5Widgets$libdbgsuffix$.5.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5PrintSupport$libdbgsuffix$.5.4.0.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libQt5PrintSupport$libdbgsuffix$.5.dylib,$pathBinRoot$,$pathTargetBinRoot$
file=copy,ca.crt,$pathBinRoot$,$pathTargetBinRoot$
file=copy,libqcocoa$libdbgsuffix$.dylib,$pathBinRoot$/platforms,$pathTargetBinRoot$/platforms
file=copy,Info.plist,$pathAppRoot$/Contents,$pathTargetAppRoot$/Contents
file=copy,CodeResources,$pathAppRoot$/Contents/_CodeSignature,$pathTargetAppRoot$/Contents/_CodeSignature
file=copy,barracuda.icns,$pathAppRoot$/Contents/Resources,$pathTargetAppRoot$/Contents/Resources
directory=create,$pathTargetLog$
directory=create,$pathTargetDatabase$

[installDotNet.exch2010.none]
process=start,"$pathAppRoot$\dotNetFx40_Full_x86_x64.exe" /q /norestart

[addFirewallExceptions.win]
firewall=create,$product$,$pathTargetBinRoot$\$execName$$binExt$

[installKeys.win]
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$\$product$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$\$product$,string,CurrentVersion,$verInfoWithBuild$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$\$product$,string,RootPath,$pathTargetBinRoot$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,DisplayName,$product$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,DisplayIcon,$pathTargetAppRoot$\Setup.exe
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,InstallLocation,$pathTargetAppRoot$\Setup.exe
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,ModifyPath,$pathTargetAppRoot$\Setup.exe
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,Publisher,$mfg$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,UninstallString,$pathTargetAppRoot$\Setup.exe -remove=yes
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,URLInfoAbout,http://www.barracuda.com
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,DisplayVersion,$verInfoWithBuild$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,string,ProductVersion,$verInfoWithBuild$
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,dword,NoRepair,1
registry=create,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$,dword,NoModify,2
registry=create,HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\BackupRestore\FilesNotToSnapshot
registry=create,HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\BackupRestore\FilesNotToSnapshot,multiString,$product$,$pathTargetDatabase$\* /s|$pathTargetLog$\* /s
registry=clean

[setupConfigFile]
file=copy,bbfilter.ini,$pathConfig$,$pathTargetConfig$
profile=put,$pathTargetConfig$/config.ini,installControl,installedVersion,$verInfoWithoutBuild$
profile=put,$pathTargetConfig$/config.ini,installControl,buildNumber,$buildNumber$

[setupConfigFile.win]
file=copy,install.ini,$pathConfig$,$pathTargetConfig$

[setupConfigFile.lin]
file=copy,install.ini,$pathConfig$,$pathTargetConfig$

[setupConfigFile.mac]
file=copy,bbfilter.ini,$pathConfig$,$pathTargetAppRoot$/Contents/Resources/ConfigTemplates
file=copy,install.ini,$pathConfig$,$pathTargetAppRoot$/Contents/Resources/ConfigTemplates

[purge]
file=delete,bbfilter.ini,$pathTargetConfig$
file=delete,config.ini,$pathTargetConfig$
glob=delete,*.crt,$pathTargetConfig$
glob=delete,*.key,$pathTargetConfig$
glob=delete,*.dat,$pathTargetDatabase$
glob=delete,*.db,$pathTargetDatabase$

[purge.win]
file=delete,install.ini,$pathTargetConfig$
file=deferdelete,config,$pathTargetAppRoot$
file=deferdelete,database,$pathTargetAppRoot$
file=deferdelete,bbinstall.txt,$pathTargetLog$
file=deferdelete,bbtrace.txt,$pathTargetLog$
file=deferdelete,bbtrace1.zip,$pathTargetLog$
file=deferdelete,bbtrace2.zip,$pathTargetLog$
file=deferdelete,bbtrace3.zip,$pathTargetLog$
file=deferdelete,log,$pathTargetAppRoot$
file=deferdelete,temp,$pathTargetAppRoot$
file=deferdelete,x86,$pathTargetAppRoot$\win
file=deferdelete,x86_64,$pathTargetAppRoot$\win

[purge.lin]
file=delete,install.ini,$pathTargetConfig$
directory=delete,$pathTargetAppRoot$/config
directory=delete,$pathTargetAppRoot$/database
file=delete,bbtrace.txt,$pathTargetLog$
file=delete,bbtrace1.zip,$pathTargetLog$
file=delete,bbtrace2.zip,$pathTargetLog$
file=delete,bbtrace3.zip,$pathTargetLog$
directory=delete,$pathTargetAppRoot$/log
directory=delete,/var/lib/bbs/database
directory=delete,/var/lib/bbs
directory=delete,$pathTargetAppRoot$/lin/x86
directory=delete,$pathTargetAppRoot$/lin/x86_64
directory=delete,$pathTargetAppRoot$/temp
directory=delete,$pathTargetAppRoot$

[purge.mac]
file=delete,bbfilter.ini,$pathTargetAppRoot$/Contents/Resources/ConfigTemplates
file=delete,install.ini,$pathTargetAppRoot$/Contents/Resources/ConfigTemplates
directory=delete,$pathTargetAppRoot$/Contents/Resources/ConfigTemplates
directory=delete,$pathTargetAppRoot$/Contents/Resources
file=delete,bbtrace.txt,$pathTargetLog$
file=delete,bbtrace1.zip,$pathTargetLog$
file=delete,bbtrace2.zip,$pathTargetLog$
file=delete,bbtrace3.zip,$pathTargetLog$
directory=delete,/Library/Application Support/Barracuda Backup Agent/config
directory=delete,/Library/Application Support/Barracuda Backup Agent
directory=delete,/var/lib/bbs/database
directory=delete,$pathTargetAppRoot$/Contents/MacOS/platforms
directory=delete,$pathTargetAppRoot$/Contents/MacOS
directory=delete,$pathTargetAppRoot$/Contents
directory=delete,$pathTargetAppRoot$

[removeResources]
file=delete,check.png,$pathTargetResource$
file=delete,install.png,$pathTargetResource$
file=delete,next.png,$pathTargetResource$
file=delete,license_eng.htm,$pathTargetResource$

[removeResources.win]
file=deferdelete,resource,$pathTargetAppRoot$

[removeResources.lin]
directory=delete,$pathTargetAppRoot$/resource

[removeResources.mac]
file=delete,barracuda.icns,$pathTargetAppRoot$/Contents/Resources
directory=delete,$pathTargetAppRoot$/Contents/Resources/resource

[removeBinaries.win]
file=delete,AgentInstaller.dll,$pathTargetBinRoot$
file=delete,AgentManager51.dll,$pathTargetBinRoot$
file=delete,AgentManager52.dll,$pathTargetBinRoot$
file=delete,AgentManager60.dll,$pathTargetBinRoot$
file=delete,Backup.dll,$pathTargetBinRoot$
file=delete,BackupService.exe,$pathTargetBinRoot$
file=delete,BackupService.exe.config,$pathTargetBinRoot$
file=delete,Brt.dll,$pathTargetBinRoot$
file=delete,BrtInstall.dll,$pathTargetBinRoot$
file=delete,DrManager.dll,$pathTargetBinRoot$
file=delete,Gin.exe,$pathTargetBinRoot$
file=delete,Gui.dll,$pathTargetBinRoot$
file=delete,icudt53.dll,$pathTargetBinRoot$
file=delete,icuin53.dll,$pathTargetBinRoot$
file=delete,icuuc53.dll,$pathTargetBinRoot$
file=delete,Managed.dll,$pathTargetBinRoot$
file=delete,msvcp120$dbgcrt$.dll,$pathTargetBinRoot$
file=delete,msvcr120$dbgcrt$.dll,$pathTargetBinRoot$
file=delete,Qt5Core$dbgcrt$.dll,$pathTargetBinRoot$
file=delete,Qt5Gui$dbgcrt$.dll,$pathTargetBinRoot$
file=delete,Qt5Widgets$dbgcrt$.dll,$pathTargetBinRoot$
file=delete,qwindows$dbgcrt$.dll,$pathTargetBinRoot$\platforms
file=delete,Setup.exe,$pathTargetAppRoot$
file=delete,msvcr120$dbgcrt$.dll,$pathTargetAppRoot$
file=delete,msvcp120$dbgcrt$.dll,$pathTargetAppRoot$
file=delete,ca.crt,$pathTargetBinRoot$
file=deferdelete,platforms,$pathTargetBinRoot$
file=deferdelete,x86,$pathTargetAppRoot$\win
file=deferdelete,x86_64,$pathTargetAppRoot$\win
file=deferdelete,win,$pathTargetAppRoot$

[removeOldAgentService.lin]
file=delete,$serviceName$,/etc/init.d
process=stop,bblinsdr
process=stop,bbagent
process=stop,BackupService

[removeOldAgentBinaries.win]
file=delete,bbwindrm.dll,$pathTargetBinRoot$
file=delete,bbwindtb.dll,$pathTargetBinRoot$
file=delete,bbwinex2.dll,$pathTargetBinRoot$
file=delete,bbwinexw.dll,$pathTargetBinRoot$
file=delete,bbwingin.exe,$pathTargetBinRoot$
file=delete,bbwingui.dll,$pathTargetBinRoot$
file=delete,bbwinins.dll,$pathTargetBinRoot$
file=delete,bbwinmgd.dll,$pathTargetBinRoot$
file=delete,bbwinods.dll,$pathTargetBinRoot$
file=delete,bbwinres.dll,$pathTargetBinRoot$
file=delete,bbwinscl.exe,$pathTargetBinRoot$
file=delete,bbwinsdr.exe,$pathTargetBinRoot$
file=delete,bbwinsdr.exe.config,$pathTargetBinRoot$
file=delete,bbwinsql.dll,$pathTargetBinRoot$
file=delete,bbwinsqw.dll,$pathTargetBinRoot$
file=delete,bbwinsup.dll,$pathTargetBinRoot$
file=delete,bbwinv51.dll,$pathTargetBinRoot$
file=delete,bbwinv52.dll,$pathTargetBinRoot$
file=delete,bbwinv60.dll,$pathTargetBinRoot$
file=delete,msvcp100.dll,$pathTargetBinRoot$
file=delete,msvcr100.dll,$pathTargetBinRoot$
file=delete,msvcp100d.dll,$pathTargetBinRoot$
file=delete,msvcr100d.dll,$pathTargetBinRoot$
file=delete,QtCore4.dll,$pathTargetBinRoot$
file=delete,QtGui4.dll,$pathTargetBinRoot$
file=delete,setup.exe,$pathTargetAppRoot$
file=delete,bbwinsvc.exe,$pathTargetAppRoot$
file=delete,bbwinsvc.exe,$pathTargetBinRoot$

[removeOldAgentBinaries.mac]

[removeOldAgentResources]
file=delete,bbxxxdrm.msg,$pathTargetResource$
file=delete,bbxxxdtb.msg,$pathTargetResource$
file=delete,bbxxxeng.lng,$pathTargetResource$
file=delete,bbxxxerr.msg,$pathTargetResource$
file=delete,bbxxxgin.msg,$pathTargetResource$
file=delete,bbxxxgui.msg,$pathTargetResource$
file=delete,bbxxxins.msg,$pathTargetResource$
file=delete,bbxxxods.msg,$pathTargetResource$
file=delete,bbxxxpem.msg,$pathTargetResource$
file=delete,bbxxxsql.msg,$pathTargetResource$
file=delete,bbxxxsup.msg,$pathTargetResource$
file=delete,bbxxxvam.msg,$pathTargetResource$
file=delete,check.png,$pathTargetResource$
file=delete,install.bmp,$pathTargetResource$

[removeOldAgentLogs]
file=delete,bbtrace_1.txt,$pathTargetLog$
file=delete,bbtrace_2.txt,$pathTargetLog$
file=delete,bbtrace_3.txt,$pathTargetLog$
file=delete,bbtrace_4.txt,$pathTargetLog$
file=delete,bbtrace_5.txt,$pathTargetLog$
file=delete,bbtrace_6.txt,$pathTargetLog$
file=delete,bbtrace_7.txt,$pathTargetLog$
file=delete,bbtrace_8.txt,$pathTargetLog$
file=delete,bbtrace_9.txt,$pathTargetLog$

[removeOldAgentBinaries.lin]
file=delete,bblincin,$pathTargetBinRoot$
file=delete,bblinsdr,$pathTargetBinRoot$
file=delete,libbblindtb.so,$pathTargetBinRoot$
file=delete,libbblinins.so,$pathTargetBinRoot$
file=delete,libbblinods.so,$pathTargetBinRoot$
file=delete,libbblinsup.so,$pathTargetBinRoot$
file=delete,libbblinvam.so,$pathTargetBinRoot$
file=delete,libgcc_s.so.1,$pathTargetBinRoot$
file=delete,libm.so.6,$pathTargetBinRoot$
file=delete,libstdc++.so.6,$pathTargetBinRoot$

[copyOldAgentConfig]
existingfile=move,$pathTargetConfig$/bbconfig.ini,$pathTargetConfig$/config.ini
file=delete,bbdetect.ini,$pathTargetConfig$
file=delete,bbinstall.ini,$pathTargetConfig$

[removeBinaries.lin]
file=delete,UiConsole,$pathTargetBinRoot$
file=delete,BackupService,$pathTargetBinRoot$
file=delete,libBrt.so,$pathTargetBinRoot$
file=delete,libgcc_s.so.1,$pathTargetBinRoot$
file=delete,libstdc++.so.6,$pathTargetBinRoot$
file=delete,libm.so.6,$pathTargetBinRoot$
file=delete,libAgentManager.so,$pathTargetBinRoot$
file=delete,libBackup.so,$pathTargetBinRoot$
file=delete,libBrtInstall.so,$pathTargetBinRoot$
file=delete,libAgentInstaller.so,$pathTargetBinRoot$
file=delete,$serviceName$,/etc/$serviceName$
directory=delete,/etc/$serviceName$
file=delete,$serviceName$.service,/etc/systemd/system/
file=delete,K10bbagent,/etc/rc2.d
file=delete,S99bbagent,/etc/rc2.d
file=delete,K10bbagent,/etc/rc3.d
file=delete,S99bbagent,/etc/rc3.d
file=delete,K10bbagent,/etc/rc5.d
file=delete,S99bbagent,/etc/rc5.d
file=delete,K10bbagent,/etc/rc0.d
file=delete,K10bbagent,/etc/rc6.d
file=delete,ca.crt,$pathTargetBinRoot$
directory=delete,$pathTargetAppRoot$/lin/x86
directory=delete,$pathTargetAppRoot$/lin/x86_64
directory=delete,$pathTargetAppRoot$/lin

[removeBinaries.mac]
file=delete,Gin,$pathTargetBinRoot$
file=delete,BackupService,$pathTargetBinRoot$
file=delete,libBrt.dylib,$pathTargetBinRoot$
file=delete,libAgentManager.dylib,$pathTargetBinRoot$
file=delete,libBackup.dylib,$pathTargetBinRoot$
file=delete,libBrtInstall.dylib,$pathTargetBinRoot$
file=delete,libAgentInstaller.dylib,$pathTargetBinRoot$
file=delete,libGui.dylib,$pathTargetBinRoot$
file=delete,ca.crt,$pathTargetBinRoot$
file=delete,libQt5Core.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Core.5.dylib,$pathTargetBinRoot$
file=delete,libQt5Gui.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Gui.5.dylib,$pathTargetBinRoot$
file=delete,libQt5Widgets.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Widgets.5.dylib,$pathTargetBinRoot$
file=delete,libQt5PrintSupport.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5PrintSupport.5.dylib,$pathTargetBinRoot$
file=delete,libqcocoa.dylib,$pathTargetBinRoot$/platforms
file=delete,libQt5Core_debug.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Core_debug.5.dylib,$pathTargetBinRoot$
file=delete,libQt5Gui_debug.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Gui_debug.5.dylib,$pathTargetBinRoot$
file=delete,libQt5Widgets_debug.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5Widgets_debug.5.dylib,$pathTargetBinRoot$
file=delete,libQt5PrintSupport_debug.5.4.0.dylib,$pathTargetBinRoot$
file=delete,libQt5PrintSupport_debug.5.dylib,$pathTargetBinRoot$
file=delete,libqcocoa_debug.dylib,$pathTargetBinRoot$/platforms
file=delete,Info.plist,$pathTargetAppRoot$/Contents
file=delete,CodeResources,$pathTargetAppRoot$/Contents/_CodeSignature
directory=delete,$pathTargetBinRoot$/platforms
directory=delete,$pathTargetAppRoot$/Contents/MacOS
directory=delete,$pathTargetAppRoot$/Contents/_CodeSignature
directory=delete,$pathTargetAppRoot$/Contents

[removeFirewallExceptions.win]
firewall=remove,$product$

[removeKeys.win]
registry=delete,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$\$product$
registry=prune,HKEY_LOCAL_MACHINE,SOFTWARE\$mfg$
registry=delete,HKEY_LOCAL_MACHINE,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$product$
registry=delete,HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\BackupRestore\FilesNotToSnapshot,$product$
